#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ChartSpots.CSFairValueGap[] cacheCSFairValueGap;

		
		public ChartSpots.CSFairValueGap CSFairValueGap(CSSharedFVG.Enums.TimeFrameOption timeFrame, double bodyPercentage, int rangePeriod, double stdDevMultiplier)
		{
			return CSFairValueGap(Input, timeFrame, bodyPercentage, rangePeriod, stdDevMultiplier);
		}


		
		public ChartSpots.CSFairValueGap CSFairValueGap(ISeries<double> input, CSSharedFVG.Enums.TimeFrameOption timeFrame, double bodyPercentage, int rangePeriod, double stdDevMultiplier)
		{
			if (cacheCSFairValueGap != null)
				for (int idx = 0; idx < cacheCSFairValueGap.Length; idx++)
					if (cacheCSFairValueGap[idx].TimeFrame == timeFrame && cacheCSFairValueGap[idx].BodyPercentage == bodyPercentage && cacheCSFairValueGap[idx].RangePeriod == rangePeriod && cacheCSFairValueGap[idx].StdDevMultiplier == stdDevMultiplier && cacheCSFairValueGap[idx].EqualsInput(input))
						return cacheCSFairValueGap[idx];
			return CacheIndicator<ChartSpots.CSFairValueGap>(new ChartSpots.CSFairValueGap(){ TimeFrame = timeFrame, BodyPercentage = bodyPercentage, RangePeriod = rangePeriod, StdDevMultiplier = stdDevMultiplier }, input, ref cacheCSFairValueGap);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ChartSpots.CSFairValueGap CSFairValueGap(CSSharedFVG.Enums.TimeFrameOption timeFrame, double bodyPercentage, int rangePeriod, double stdDevMultiplier)
		{
			return indicator.CSFairValueGap(Input, timeFrame, bodyPercentage, rangePeriod, stdDevMultiplier);
		}


		
		public Indicators.ChartSpots.CSFairValueGap CSFairValueGap(ISeries<double> input , CSSharedFVG.Enums.TimeFrameOption timeFrame, double bodyPercentage, int rangePeriod, double stdDevMultiplier)
		{
			return indicator.CSFairValueGap(input, timeFrame, bodyPercentage, rangePeriod, stdDevMultiplier);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ChartSpots.CSFairValueGap CSFairValueGap(CSSharedFVG.Enums.TimeFrameOption timeFrame, double bodyPercentage, int rangePeriod, double stdDevMultiplier)
		{
			return indicator.CSFairValueGap(Input, timeFrame, bodyPercentage, rangePeriod, stdDevMultiplier);
		}


		
		public Indicators.ChartSpots.CSFairValueGap CSFairValueGap(ISeries<double> input , CSSharedFVG.Enums.TimeFrameOption timeFrame, double bodyPercentage, int rangePeriod, double stdDevMultiplier)
		{
			return indicator.CSFairValueGap(input, timeFrame, bodyPercentage, rangePeriod, stdDevMultiplier);
		}

	}
}

#endregion
